<?php 
	require_once("config/connect.php");
	require_once("global_functions.php");
	
	if(isset($argv[1]) && strtolower($argv[1]) == 'backup'){
		if(!isset($_SESSION)) session_start();
		$_SESSION["userName"]='commandLineBackup';
		$_SESSION["userId"]=9999;
		$_SESSION["userLevel"]=3;
		#$callFromPhpFile="depExportFromBackupFunction";
			# damit wir keinen funktion unbekannt aus ajax_funktionen_kp bekommen
		#require_once("ajax_funktionen_kp.php");
		
		#$runDepToFile=getReportDataExportProtocol('backupRunDepToFile');
		
		$backupCallFromPhpFile='commandLineBackup';
			# damit wir keinen funktion unbekannt aus ajax_funktionen bekommen
		require_once("ajax_funktionen.php");
		
		$backupRun=run_auto_backup_command();
		echo $backupRun;

		echo "\n\nBackup command unfertig";
	
	
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
?>